//
//  SwiffWindowController.h
//  iSwiff
//
//  Created by Henrik Dalgaard on 11/4/04.
//  Copyright 2004 Echo One. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>
//#import <WebKit/WebView.h>
@interface EventHoleView : NSView {
	NSResponder* otherEnd;
}
-(void) setOtherEnd: (NSResponder*)theOtherEnd;

@end
@interface ParentWindow : NSWindow {
}
@end
@interface FullScreenWindow : NSWindow {
}
@end
@interface LevelShiftView : NSBox
{
	NSDate* entered;
	NSWindow* frontWindowToShield;
	NSColor* backgroundColor;
}
-(void) setBackgroundColor:(NSColor*) newBackgroundColor;
-(void) setFrontWindowToShield:(NSWindow*) theWindow;
-(void) hideMenubar;
@end

@interface SwiffWindowController : NSWindowController <NSWindowDelegate, WebUIDelegate, WebPolicyDelegate>{
	WebView* webView;
	NSBox* backgroundContentView;
	LevelShiftView* backgroundView;
	NSString* fileURLToLoad;
	NSTrackingRectTag fullscreenTrackingTag;
	NSWindow* parentWindow;
	NSWindow* shieldWindow;
//	FullScreenWindow* flashWindow;
	NSRect offsetAndBorderToChild;
	NSRect nonFullscreenFrame;
	NSRect nativeFrame;
	BOOL httpLaunched;
}
+(SwiffWindowController*) fullScreenController;
- (id)initWithFrame: (NSRect) theFrame;
-(void) setFileToDisplay:(NSURL*) fileURL;
-(NSString*) stringValue;
-(IBAction) switchToFullScreen: (id) sender;
-(void) cleanupBeforeClose;
//-(NSWindow*) flashWindow;

@end
@interface SwiffChildWindowController : NSWindowController 
{
	SwiffWindowController* parentController;
}
-(void) setParentController: (SwiffWindowController*) newParentController;
@end

